# ProblemContext

@Incubating
interface ProblemContext

Describes a problem event.

Provides all details provided for problem events. The events are generated via the Problems API.

#### Since

8.8

## Functions

getContextualLocations
Link copied to clipboard
abstract fun getContextualLocations(): List<Location>
Returns additional locations, which can help to understand the problem further.
getDetails
Link copied to clipboard
@Nullable
abstract fun getDetails(): @Nullable Details
Returns the details string.
getFailure
Link copied to clipboard
@Nullable
abstract fun getFailure(): @Nullable Failure
Returns the failure associated with this problem.
getOriginLocations
Link copied to clipboard
abstract fun getOriginLocations(): List<Location>
Returns the locations where the problem originated.
getSolutions
Link copied to clipboard
abstract fun getSolutions(): List<Solution>
Returns the list of solutions.